# Configuration spécifique pour Brésil et Guyane Française
COUNTRIES_CONFIG <- list(
  APP_SETTINGS = list(
    default_zoom = 9,
    max_zoom = 12,
    enable_clustering = TRUE
  ),
  
  COUNTRY2 = list(
    code = "BR",
    name = list(
      en = "Brazil",
      fr = "Brésil",
      pt = "Brasil"
    ),
    database = list(
      source_field_name = "BR",
      id_field = "id_sivep",
      date_format = "%d/%m/%Y"
    ),
    map = list(
      color = "#009c3b",
      center = list(
        lat = -14.235,
        lng = -51.925
      ),
      bounds = list(
        north = 5.27438,
        south = -33.74178,
        east = -34.79299,
        west = -73.98281
      )
    ),
    data_validation = list(
      max_age = 100,
      min_age = 0
    )
  ),
  
  COUNTRY1 = list(
    code = "FR-GF",
    name = list(
      en = "French Guiana",
      fr = "Guyane Française",
      pt = "Guiana Francesa"
    ),
    database = list(
      source_field_name = "FR-GF",
      id_field = "id_cdps",
      date_format = "%d/%m/%Y"
    ),
    map = list(
      color = "#002395",
      center = list(
        lat = 3.933889,
        lng = -53.125782
      ),
      bounds = list(
        north = 5.776667,
        south = 2.112222,
        east = -51.633333,
        west = -54.603889
      )
    ),
    data_validation = list(
      max_age = 100,
      min_age = 0
    )
  )
)