consultation_har_filter <- function(df, source = "Any", new_attack, dateStart = "Any", dateEnd = "Any", diagn = "Any", minAge = NULL, maxAge = NULL, sex = "Any", active_diagn = "No"){
  
  # Packages
  require(dplyr)
  
  # source
  if(source != "Any"){
    if(source == "CO"){
      df <- df %>% filter(source == "CO")
    } else if(source == "BR"){
      df <- df %>% filter(source == "BR")
    }
  }
  
  # new_attack
  if(new_attack != "Any"){
    if(new_attack == TRUE){
      df <- df %>% filter(new_attack == TRUE)
    } else if (new_attack == FALSE){
      df <- df %>% filter(new_attack == FALSE)
    }
  } 
  
  # consultation_date
  if(dateStart != "Any" & dateEnd != "Any"){
    dateStart <- as.Date(dateStart)
    dateEnd <- as.Date(dateEnd)
    df <- df %>% filter(consultation_date >= dateStart & consultation_date <= dateEnd)
  }
  
  # diagnosis_result
  if(diagn != "Any"){
    if(diagn == "falciparum"){
      df <- df %>% filter(diagnosis_result == "falciparum")
    } else if(diagn == "mixed infection with P. falciparum"){
      df <- df %>% filter(diagnosis_result == "mixte infection with P. falciparum")
    } else if(diagn == "mixed infection with P. falciparum"){
      df <- df %>% filter(diagnosis_result == "mixed infection with P. falciparum")
    } else if(diagn == "non-falciparum"){
      df <- df %>% filter(diagnosis_result == "non-falciparum")
    } else if(diagn == "unspecified"){
      df <- df %>% filter(diagnosis_result == "unspecified")
    }
  }
  
  # patient_age
  if(!(is.null(minAge) & is.null(maxAge))){
    df <- df %>% filter(patient_age >= minAge & patient_age <= maxAge)
  }
  
  # patient_sex
  if(sex != "Any"){
    df <- df %>% filter(patient_sex == sex)
  }
  
  # active_diagnosis
  if(active_diagn == "No"){
    df <- df %>% filter(active_diagnosis == FALSE)
  } else if(active_diagn == "Yes") {
    df <- df %>% filter(active_diagnosis == TRUE)
  }
  
  # Return filtered df
  return(df)
}