decompose <- function(x){
  date1 <- min(x)
  date2 <- max(x)
  inc <- as.data.frame(incidence(dates = x, interval = 1)) 
  full <- data.frame(dates = seq(date1, date2, by = "day"))
  inc <- dplyr::right_join(inc, full, by = "dates")
  inc[is.na(inc)] <- 0
  inc_ts <- ts(inc$counts, frequency = 365)
  inc_dec <- stl(inc_ts, s.window="periodic")
  df_dec <- as.data.frame(inc_dec$time.series)
  df_dec <- cbind(df_dec, dates = inc$dates)
  return(df_dec)
}