### Tab Brazil age

# Positive incidence
BRage_sub <- reactive({
  
  date1 <- as.Date(paste0(input$BRAgeDates[1],"-01-01"))
  date2 <- as.Date(paste0(input$BRAgeDates[2],"-12-31"))
  
  br_df %>%
    sivep_filter_notif(plasm = "Any", minAge = 0, maxAge = 100) %>%
    filter(DT_NOTIF >= date1 & DT_NOTIF <= date2)
})

# QTD_CRUZ, COD_OCUP

output$BRAge_plot <- renderPlot({
  if(input$BRAgeVar == "Crosses"){
    BRage_sub() %>% 
      select(ID_PACIE, ID_DIMEA, QTD_CRUZ) %>%
      mutate(ID_PACIE_ADJ = ifelse((ID_DIMEA == "Days" | ID_DIMEA == "Months"), 0, ID_PACIE)) %>%
      ggplot(aes(x = ID_PACIE_ADJ, y = QTD_CRUZ)) + 
        geom_joy() +
        scale_x_continuous(limits = c(0, 100)) +
        labs(x = tr("age"), y = tr("crosses"))
  } else if (input$BRAgeVar == "Occupation"){
    BRage_sub() %>% 
      select(ID_PACIE, ID_DIMEA, COD_OCUP) %>%
      mutate(ID_PACIE_ADJ = ifelse((ID_DIMEA == "Days" | ID_DIMEA == "Months"), 0, ID_PACIE)) %>%
      ggplot(aes(x = ID_PACIE_ADJ, y = COD_OCUP)) + 
      geom_joy() +
      labs(x = tr("age"), y = tr("occupation"))
  } else if (input$BRAgeVar == "Sex"){
    BRage_sub() %>% 
      select(ID_PACIE, ID_DIMEA, SEXO) %>%
      filter(SEXO == "Male" | SEXO == "Female") %>%
      mutate(ID_PACIE_ADJ = ifelse((ID_DIMEA == "Days" | ID_DIMEA == "Months"), 0, ID_PACIE)) %>%
      ggplot(aes(x = ID_PACIE_ADJ, y = SEXO)) + 
      geom_joy() +
      labs(x = tr("age"), y = tr("sex"))
  } else if (input$BRAgeVar == "Symptons"){
    BRage_sub() %>% 
      select(ID_PACIE, ID_DIMEA, SINTOMAS) %>%
      mutate(ID_PACIE_ADJ = ifelse((ID_DIMEA == "Days" | ID_DIMEA == "Months"), 0, ID_PACIE)) %>%
      ggplot(aes(x = ID_PACIE_ADJ, y = SINTOMAS)) + 
      geom_joy() +
      labs(x = tr("age"), y = tr("symptons"))
  } else if (input$BRAgeVar == "UF"){
    BRage_sub() %>% 
      select(ID_PACIE, ID_DIMEA, UF_INFEC) %>%
      mutate(ID_PACIE_ADJ = ifelse((ID_DIMEA == "Days" | ID_DIMEA == "Months"), 0, ID_PACIE)) %>%
      ggplot(aes(x = ID_PACIE_ADJ, y = UF_INFEC)) + 
      geom_joy() +
      labs(x = tr("age"), y = tr("symptons"))
  } else if (input$BRAgeVar == "Country"){
    BRage_sub() %>% 
      select(ID_PACIE, ID_DIMEA, PAIS_INF) %>%
      mutate(ID_PACIE_ADJ = ifelse((ID_DIMEA == "Days" | ID_DIMEA == "Months"), 0, ID_PACIE)) %>%
      ggplot(aes(x = ID_PACIE_ADJ, y = PAIS_INF)) + 
      geom_joy() +
      labs(x = tr("age"), y = tr("country"))
  } else if (input$BRAgeVar == "Plasmodium"){
    BRage_sub() %>% 
      select(ID_PACIE, ID_DIMEA, RES_EXAM) %>%
      mutate(ID_PACIE_ADJ = ifelse((ID_DIMEA == "Days" | ID_DIMEA == "Months"), 0, ID_PACIE)) %>%
      ggplot(aes(x = ID_PACIE_ADJ, y = RES_EXAM)) + 
      geom_joy() +
      labs(x = tr("age"), y = tr("plasmodium"))
  }
  
  
  
  
})  




