consultation_date <- JSON_cons_har$consultation_date

inc <- as.data.frame(incidence(dates = consultation_date, interval = 1)) 

inc_ts <- ts(inc$counts, frequency = 7)

plot(inc_ts)

inc_dec <- stl(inc_ts, s.window="periodic")

plot(inc_dec)

trend <- as.data.frame(inc_dec$time.series)$trend
trend[length(trend)] - trend[1]


data <- JSON_cons_har %>%
  filter(id_center == "11/160050") %>%
  filter(consultation_date >= as.Date("2015-01-01") & consultation_date <= as.Date("2015-01-31"))


####

date1 <- min(JSON_cons_har$consultation_date)
date2 <- max(JSON_cons_har$consultation_date)

df <- consultation_har_filter(
  JSON_cons_har,
  new_attack = TRUE,
  diagn = "Positive",
  sex = "Any",
  minAge = 0,
  maxAge = 100
) %>%
  #filter(id_center == "200/160050") %>%
  select(id_center, consultation_date)

seasonal <- data.frame(unit = as.character())
for(g in df$id_center){
  sub <- subset(df, id_center == g)
  dec <- decompose(sub$consultation_date)
  df2 <- data.frame(dec$dates, dec$seasonal)
}

####

teste <- consultation_har_filter(
  JSON_cons_har,
  new_attack = TRUE,
  diagn = "Positive",
  sex = "Any",
  minAge = 0,
  maxAge = 100
) %>%
  #filter(source == "B") %>%
  filter(id_center == "200/160050") %>%
  select(consultation_date) 


date1 <- min(teste$consultation_date)
date2 <- max(teste$consultation_date)
inc <- as.data.frame(incidence(dates = teste$consultation_date, interval = 1)) 
full <- data.frame(dates = seq(date1, date2, by = "day"))
inc <- dplyr::right_join(inc, full, by = "dates")
inc[is.na(inc)] <- 0
inc_ts <- ts(inc$counts, frequency = 365)
inc_dec <- stl(inc_ts, s.window="periodic")
df_dec <- data.frame(dates = inc$dates, inc_dec$time.series)

# Seasonality
q <- quantile(df_dec$seasonal, c(.90))
sub <- subset(df_dec, seasonal >= q)
table(lubridate::month(sub_high$dates))



plot(inc_ts)
plot(inc_dec)
